
export CYFLEX_SYNCVER_SRC=143.222.168.102
gcc -v 2>/tmp/$$.out
GCCVER=$(awk 'END{ print $3 }' /tmp/$$.out)
rm -f /tmp/$$.out
if ! echo ${PATH} | /bin/grep -q /cyflex/bin ; then
  export PATH=$PATH:/sbin:/usr/sbin:/cyflex/bin:/cyflex/cmds:/specs/cmds:/usr/local/bin
fi

export CMAKE_ROOT=/usr/local/share/cmake-2.8
if [[ ( -d /usr/lib/gcc/i386-redhat-linux ) ]]; then
export CYFLEX_LDEPS=-I/usr/lib/gcc/i386-redhat-linux/$GCCVER/include 
else
export CYFLEX_LDEPS=-I/usr/lib/gcc/i686-redhat-linux/$GCCVER/include
fi
# Begin version of GCC  that requires new dependency links
VER=4.4.4
declare -a arr1 arr2
let newergcc=0
arr1=(`echo "$VER" | tr -s '.' ' '` )
arr2=(`echo "$GCCVER" | tr -s '.' ' '`)
for  index in ${!arr1[*]}
do
if [ "${arr2[index]}" -ge  "${arr1[index]}" ];  then
let "newergcc += (10**(2-index))"
else
let "newergcc -= (10**(2-index))"
fi   
done
if [ $newergcc -ge 0 ]; then
   export CYFLEX_SHLIB_DEP="-L.. -L../LIB -lftpv3_tcp5 -lsrr -lqnxos-static -lc -lm -lrt  -lssh2 -lpam -lpam_misc -ldl -lnrc"
   export CYFLEX_SHLIB_DEP2="-L.. -L../LIB -lsrr -lqnxos-static -lc -lm -lrt  -lssh2 -lpam -lpam_misc -ldl -lnrc"
   export CYFLEX_NOSTATIC_SHLIB_DEP="-L.. -L../LIB -lftpv3_tcp5 -lsrr -lqnxos -lc -lm -lrt  -lssh2 -lpam -lpam_misc -ldl -lnrc"
   export CYFLEX_NOSTATIC_SHLIB_DEP2="-L.. -L../LIB -lsrr -lqnxos -lc -lm -lrt  -lssh2 -lpam -lpam_misc -ldl"
else
   export CYFLEX_SHLIB_DEP="-L.. -L../lib -lftpv3_tcp5 -lsrr -lqnxos-static -lc -lm -lrt -lasset -lftpv3_tcp5 -lssh2 -lpam -lpam_misc -ldl -lnrc"
   export CYFLEX_NOSTATIC_SHLIB_DEP="-L.. -L../lib -lftpv3_tcp5 -lsrr -lqnxos -lc -lm -lrt -lasset -lftpv3_tcp5 -lssh2 -lpam -lpam_misc -ldl -lnrc"
fi
